system:
    default:
        # Configuration for block views.
        # This configuration is used when using sub-requests on ez_page:viewBlock.
        # Block views are triggered from eZPage Zone layouts.
        # Check eZDemoBundle:zone:2zoneslayout1.html.twig
        block_view:
            campaign:
                template: eZDemoBundle:block:campaign.html.twig
                match:
                    Type: Campaign

            content_grid_2cols_2_rows:
                template: eZDemoBundle:block:content_grid_2cols_2rows.html.twig
                match:
                    Type: ContentGrid
                    View: 2_columns_2_rows

            content_grid_1col_2rows:
                template: eZDemoBundle:block:content_grid_1col_2rows.html.twig
                match:
                    Type: ContentGrid
                    View: default

            content_grid_1col_4rows:
                template: eZDemoBundle:block:content_grid_1col_4rows.html.twig
                match:
                    Type: ContentGrid
                    View: 1_column_4_rows

            gallery:
                template: eZDemoBundle:block:gallery.html.twig
                match:
                    Type: Gallery
                    View: default

            highlighted_item:
                template: eZDemoBundle:block:highlighted_item.html.twig
                match:
                    Type: HighlightedItem
                    View: default

            feed_reader:
                template: eZDemoBundle:block:feed_reader.html.twig
                match:
                    Type: FeedReader
                    View: default

            video:
                template: eZDemoBundle:block:video.html.twig
                match:
                    Type: Video
                    view: default

        # Location views triggered by Page block rendering, using sub-requests with ez_content:viewLocation.
        # See eZDemoBundle:block:campaign.html.twig or eZDemoBundle:block:gallery.html.twig for concrete examples.
        location_view:
            gallery_viewer:
                image:
                    template: "eZDemoBundle:gallery_viewer:image.html.twig"
                    match:
                        Identifier\ContentType: "image"

            gallery_item:
                image:
                    template: "eZDemoBundle:gallery_item:image.html.twig"
                    match:
                        Identifier\ContentType: "image"

            block_item_campaign:
                article:
                    template: "eZDemoBundle:block_item_campaign:article.html.twig"
                    match:
                        Identifier\ContentType: "article"

            block_item:
                article:
                    template: "eZDemoBundle:block_item:article.html.twig"
                    match:
                        Identifier\ContentType: "article"
                image:
                    template: "eZDemoBundle:block_item:image.html.twig"
                    match:
                        Identifier\ContentType: "image"
                video:
                    template: "eZDemoBundle:block_item:video.html.twig"
                    match:
                        Identifier\ContentType: "video"

            block_item_highlighted:
                article:
                    template: "eZDemoBundle:block_item_highlighted:article.html.twig"
                    match:
                        Identifier\ContentType: "article"

ezpage:
    # List of zone layouts provided by the DemoBundle
    # Zone layouts are used when rendering an ezpage field.
    # See "ezpage_field" block in EzPublishCoreBundle::content_fields.html.
    # A concrete example can be found in eZDemoBundle:full:landing_page.html.twig
    layouts:
        GlobalZoneLayout:
            name: Global zone layout
            template: "eZDemoBundle:zone:globalzonelayout.html.twig"
        2ZonesLayout1:
            name: 2 zones (layout 1)
            template: "eZDemoBundle:zone:2zoneslayout1.html.twig"
        2ZonesLayout2:
            name: 2 zones (layout 2)
            template: "eZDemoBundle:zone:2zoneslayout2.html.twig"
        2ZonesLayout3:
            name: 2 zones (layout 3)
            template: "eZDemoBundle:zone:2zoneslayout3.html.twig"
        3ZonesLayout1:
            name: 3 zones (layout 1)
            template: "eZDemoBundle:zone:3zoneslayout1.html.twig"
        3ZonesLayout2:
            name: 3 zones (layout 2)
            template: "eZDemoBundle:zone:3zoneslayout2.html.twig"

    enabledLayouts:
        - GlobalZoneLayout
        - 2ZonesLayout1
        - 2ZonesLayout2
        - 2ZonesLayout3
        - 3ZonesLayout1
        - 3ZonesLayout2

    # List of blocks provided by the DemoBundle
    blocks:
        Campaign: { name: Campaign }
        MainStory: { name: Main story }
        ContentGrid: { name: Content Grid }
        Gallery: { name: Gallery }
        Banner: { name: Banner }
        Video: { name: Video }
        TagCloud: { name: Tag cloud }
        Poll: { name: Poll }
        ItemList: { name: Item list }
        FeedReader: { name: Feed reader }
        FeedbackForm: { name: Feedback Form }
        HighlightedItem: { name: Highlighted Item }

    enabledBlocks:
        - Campaign
        - MainStory
        - ContentGrid
        - Gallery
        - Banner
        - Video
        - TagCloud
        - Poll
        - ItemList
        - FeedReader
        - FeedbackForm
        - HighlightedItem
